Skip to content

Most visited

Recently visited

navigation
added in API level 1

ClickableSpan

public abstract class ClickableSpan
extends CharacterStyle implements UpdateAppearance

java.lang.Object
   ↳ android.text.style.CharacterStyle
     ↳ android.text.style.ClickableSpan


If an object of this type is attached to the text of a TextView with a movement method of LinkMovementMethod, the affected spans of text can be selected. If selected and clicked, the onClick(View) method will be called.

The text with a ClickableSpan attached will be underlined and the link color will be used as a text color. The default link color is the theme's accent color or android:textColorLink if this attribute is defined in the theme. For example, considering that we have a CustomClickableSpan that extends ClickableSpan, it can be used like this:

SpannableString string = new SpannableString("Text with clickable text");
string.setSpan(new CustomClickableSpan(), 10, 19, Spanned.SPAN_EXCLUSIVE_EXCLUSIVE);
Text with ClickableSpan.

Summary

Public constructors

ClickableSpan()

Public methods

abstract void onClick(View widget)

Performs the click action associated with this span.

void updateDrawState(TextPaint ds)

Makes the text underlined and in the link color.

Inherited methods

Public constructors

ClickableSpan

added in API level 1
ClickableSpan ()

Public methods

onClick

added in API level 1
void onClick (View widget)

Performs the click action associated with this span.

Parameters
widget View

This value must never be null.

updateDrawState

added in API level 1
void updateDrawState (TextPaint ds)

Makes the text underlined and in the link color.

Parameters
ds TextPaint

This value must never be null.

This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Follow Google Developers on WeChat

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a short survey?
Help us improve the Android developer experience. (April 2018 — Developer Survey)